Last Comment Bug 682230 - memory usage increases to > 1GB on www.welt.de slideshow
: memory usage increases to > 1GB on www.welt.de slideshow
Status: RESOLVED FIXED
[testday-20110826][MemShrink:P2]
:
Product: Core
Classification: Components
Component: ImageLib (show other bugs)
: 7 Branch
: All All
: -- normal with 2 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://www.welt.de/debatte/article424...
Depends on: image-suck
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-26 01:38 PDT by floyd.net
Modified: 2013-04-19 17:19 PDT (History)
16 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description floyd.net 2011-08-26 01:38:21 PDT
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0
Build ID: 20110816154714

Steps to reproduce:

open Firefox
open URL: http://www.welt.de/debatte/article4247567/Prominente-ueber-Maerchen-Banken-und-Schauspielerei.html




Actual results:

memory usage increases from 200 MB to > 1GB

even after a restart of firefox the problem persists
Comment 1 floyd.net 2011-08-26 01:42:27 PDT
if have test this with firefox 7 beta where are all addons disabled
Comment 2 :aceman 2011-08-26 03:57:42 PDT
I can confirm on FF6 (will test 7-8 later). The page is quite short, there must be some problem with it why it takes so much memory (according to windows task manager).

Even about:memory shows broken values (see the ~400% and ~-400% entries) and a lot of memory in gfx-surface-win32:

165.44 MB (100.0%) -- explicit
├──775.43 MB (468.70%) -- images
│  ├──774.83 MB (468.34%) -- content
│  │  ├──774.82 MB (468.33%) -- used
│  │  │  ├──734.12 MB (443.73%) -- uncompressed
│  │  │  └───40.70 MB (24.60%) -- raw
│  │  └────0.02 MB (00.01%) -- (1 omitted)
│  └────0.59 MB (00.36%) -- (1 omitted)
├───44.81 MB (27.08%) -- js
│   ├──34.00 MB (20.55%) -- gc-heap
│   ├───6.97 MB (04.21%) -- mjit-code
│   ├───1.88 MB (01.14%) -- tjit-data
│   │   ├──1.41 MB (00.85%) -- allocators-reserve
│   │   └──0.47 MB (00.29%) -- (1 omitted)
│   ├───1.45 MB (00.88%) -- mjit-data
│   └───0.50 MB (00.30%) -- (1 omitted)
├────6.88 MB (04.16%) -- storage
│    └──6.88 MB (04.16%) -- sqlite
│       ├──4.55 MB (02.75%) -- places.sqlite
│       │  ├──4.23 MB (02.56%) -- cache-used
│       │  └──0.32 MB (00.19%) -- (2 omitted)
│       └──2.34 MB (01.41%) -- (13 omitted)
├────4.48 MB (02.71%) -- layout
│    ├──4.48 MB (02.71%) -- all
│    └──0.00 MB (00.00%) -- (1 omitted)
└──-666.16 MB (-402.65%) -- (1 omitted)

Other Measurements
888.42 MB -- private
869.09 MB -- resident
735.60 MB -- gfx-surface-win32
167.13 MB -- heap-committed
157.97 MB -- heap-used
 30.03 MB -- heap-unused
  1.94 MB -- heap-dirty
  0.85 MB -- canvas-2d-pixel-bytes
  0.00 MB -- gfx-surface-image
  0.00 MB -- gfx-d2d-surfacecache
  0.00 MB -- gfx-d2d-surfacevram
Comment 3 :aceman 2011-08-26 04:04:15 PDT
For me FF has virtual memory size of 900MB, working set also 900MB.
IE8 allocates virtual memory size of 600MB, but working set is only 140MB. And Firefox has really allocated the memory and it is used (committed), my 2GB computer swaps heavily.
Comment 4 :aceman 2011-08-26 08:49:04 PDT
On Linux FF7 it gets interesting. about:memory also shows wild numbers. However the system (top program) does not. top shows the same number as vsize.

Explicit Allocations
121.31 MB (100.0%) -- explicit
├──794.52 MB (654.97%) -- images
│  ├──794.11 MB (654.63%) -- content
│  │  ├──794.11 MB (654.63%) -- used
│  │  │  ├──753.17 MB (620.88%) -- uncompressed
│  │  │  └───40.94 MB (33.75%) -- raw
│  │  └────0.00 MB (00.00%) -- (1 omitted)
│  └────0.41 MB (00.34%) -- (1 omitted)
├───27.15 MB (22.38%) -- js
│   ├───9.81 MB (08.09%) -- compartment([System Principal])
│   │   ├──5.09 MB (04.19%) -- gc-heap
│   │   │  ├──2.48 MB (02.04%) -- objects
│   │   │  ├──1.68 MB (01.38%) -- shapes
│   │   │  ├──0.86 MB (00.71%) -- arena-unused
│   │   │  └──0.07 MB (00.06%) -- (4 omitted)
│   │   ├──1.81 MB (01.49%) -- mjit-code
│   │   ├──1.66 MB (01.37%) -- scripts
│   │   └──1.25 MB (01.03%) -- (5 omitted)
│   ├───8.00 MB (06.59%) -- stack
│   ├───4.00 MB (03.30%) -- compartment(http://www.welt.de/debatte/article424756...)
│   │   ├──2.18 MB (01.80%) -- gc-heap
│   │   │  ├──1.10 MB (00.91%) -- (6 omitted)
│   │   │  └──1.08 MB (00.89%) -- objects
│   │   ├──1.20 MB (00.99%) -- (6 omitted)
│   │   └──0.63 MB (00.52%) -- mjit-code
│   ├───1.89 MB (01.56%) -- gc-heap-chunk-unused
│   ├───1.31 MB (01.08%) -- compartment(atoms)
│   │   ├──0.74 MB (00.61%) -- string-chars
│   │   └──0.57 MB (00.47%) -- (7 omitted)
│   ├───1.06 MB (00.87%) -- compartment(https://bugzilla.mozilla.org/show_bug.cg...)
│   │   └──1.06 MB (00.87%) -- (8 omitted)
│   ├───0.74 MB (00.61%) -- compartment(http://www.mozilla.org/en-US/firefox/7.0...)
│   │   └──0.74 MB (00.61%) -- (8 omitted)
│   └───0.34 MB (00.28%) -- (4 omitted)
├────4.18 MB (03.45%) -- storage
│    └──4.18 MB (03.45%) -- sqlite
│       ├──2.13 MB (01.75%) -- (11 omitted)
│       ├──1.20 MB (00.99%) -- places.sqlite
│       │  ├──1.07 MB (00.88%) -- cache-used
│       │  └──0.13 MB (00.11%) -- (2 omitted)
│       └──0.86 MB (00.71%) -- other
├────1.36 MB (01.13%) -- layout
│    ├──1.36 MB (01.13%) -- all
│    └──0.00 MB (00.00%) -- (1 omitted)
├────0.85 MB (00.70%) -- xpti-working-set
└──-706.75 MB (-582.62%) -- (1 omitted)

Other Measurements
390.02 MB -- vsize
170.25 MB -- resident
119.00 MB -- heap-committed
110.43 MB -- heap-used
 11.00 MB -- js-gc-heap
  8.57 MB -- heap-unused
  3.17 MB -- heap-dirty
  0.11 MB -- gfx-surface-image
  630,161 -- soft-page-faults
      272 -- hard-page-faults
Comment 5 Boris Zbarsky [:bz] (TPAC) 2011-08-26 08:51:52 PDT
aceman, on Linux we store images in the X server's memory.  Were you looking at that in top, or just at the Firefox numbers?
Comment 6 Boris Zbarsky [:bz] (TPAC) 2011-08-26 08:56:21 PDT
So what this page does is load 240 images into the slideshow.

Each image is 838x559 pixels.

We decode the images into RGBA surfaces.  So each image takes 838*559*4 = 1,873,768 bytes.

The total memory used by all the images should then be 449,704,320 bytes.

I'm not sure why the actual memory increase is about 1.5x that.

I'm pretty sure that IE does some sort of lazy image decode thing...
Comment 7 Boris Zbarsky [:bz] (TPAC) 2011-08-26 08:56:58 PDT
Also, why is this marked "mlk"?  Do we not release the memory once the image cache is emptied?
Comment 8 :aceman 2011-08-26 09:06:37 PDT
Sorry about that. Yes, fortunately, the memory is nicely released after closing the tab.
I looked on the X process but can't draw any conclusions. It changes memory size frequently but I can't see any big increase (or decrease after tab close). The difference is about 100MB. But it surely doesn't have those ~800MB allocated.
Comment 9 [:Aleksej] 2011-08-26 09:19:31 PDT
Confirmed about:memory's "images" over-100%-ness with 7.0b2(c1) Mozilla/5.0 (X11; Linux x86_64; rv:7.0) Gecko/20100101 Firefox/7.0.

The page loads lots of non-thumbnail images hidden behind CSS.
Comment 10 :aceman 2011-08-26 09:40:55 PDT
Yes, there are many images, but they are initially hidden. May be a candidate for decoding the images only when needed, even if it is the active tab.
Comment 11 [:Aleksej] 2011-08-26 10:18:05 PDT
(In reply to aceman from comment #10)
> May be a candidate for decoding the images only when needed, even if it is the active tab.
bug 542158
Comment 12 Gabriela [:gaby2300] 2011-08-26 15:34:46 PDT
Confirmed in Windows 7, Mozilla/5.0 (Windows NT 6.1; rv:7.0) Gecko/20100101 Firefox/7.0

about:memory

Explicit Allocations
293.81 MB (100.0%) -- explicit
├──785.44 MB (267.33%) -- images
│  ├──784.94 MB (267.16%) -- content
│  │  ├──784.94 MB (267.16%) -- used
│  │  │  ├──743.03 MB (252.89%) -- uncompressed
│  │  │  └───41.91 MB (14.26%) -- raw
│  │  └────0.00 MB (00.00%) -- (1 omitted)
│  └────0.50 MB (00.17%) -- (1 omitted)
├──107.76 MB (36.67%) -- js
│  ├───23.15 MB (07.88%) -- compartment(https://mail.google.com/mail/?shva=1#inb...)
│  │   ├──10.03 MB (03.41%) -- gc-heap
│  │   │  ├───6.04 MB (02.06%) -- objects
│  │   │  ├───2.40 MB (00.82%) -- shapes
│  │   │  └───1.58 MB (00.54%) -- (5 omitted)
│  │   ├───5.04 MB (01.71%) -- mjit-code
│  │   ├───3.98 MB (01.35%) -- scripts
│  │   ├───2.30 MB (00.78%) -- object-slots
│  │   └───1.82 MB (00.62%) -- (4 omitted)
│  ├───20.52 MB (06.98%) -- compartment([System Principal])
│  │   ├──10.57 MB (03.60%) -- gc-heap
│  │   │  ├───4.81 MB (01.64%) -- objects
│  │   │  ├───3.25 MB (01.11%) -- shapes
│  │   │  ├───2.34 MB (00.80%) -- arena-unused
│  │   │  └───0.17 MB (00.06%) -- (4 omitted)
│  │   ├───5.28 MB (01.80%) -- mjit-code
│  │   ├───2.36 MB (00.80%) -- scripts
│  │   └───2.32 MB (00.79%) -- (5 omitted)
│  ├───13.53 MB (04.60%) -- compartment(https://bugzilla.mozilla.org/show_bug.cg...)
│  │   ├───7.23 MB (02.46%) -- gc-heap
│  │   │   ├──3.95 MB (01.34%) -- objects
│  │   │   ├──2.82 MB (00.96%) -- shapes
│  │   │   └──0.46 MB (00.16%) -- (5 omitted)
│  │   ├───3.35 MB (01.14%) -- scripts
│  │   ├───2.00 MB (00.68%) -- mjit-code
│  │   └───0.95 MB (00.32%) -- (5 omitted)
│  ├───11.32 MB (03.85%) -- compartment(atoms)
│  │   ├───9.49 MB (03.23%) -- string-chars
│  │   ├───1.82 MB (00.62%) -- gc-heap
│  │   │   ├──1.73 MB (00.59%) -- strings
│  │   │   └──0.09 MB (00.03%) -- (6 omitted)
│  │   └───0.00 MB (00.00%) -- (6 omitted)
│  ├────9.84 MB (03.35%) -- compartment(http://etherpad.mozilla.com:9000/testday...)
│  │    ├──3.63 MB (01.24%) -- mjit-code
│  │    ├──2.21 MB (00.75%) -- gc-heap
│  │    │  └──2.21 MB (00.75%) -- (7 omitted)
│  │    ├──2.05 MB (00.70%) -- (5 omitted)
│  │    └──1.94 MB (00.66%) -- tjit-data
│  │       ├──1.87 MB (00.64%) -- allocators-main
│  │       └──0.07 MB (00.02%) -- (1 omitted)
│  ├────6.86 MB (02.33%) -- (21 omitted)
│  ├────6.32 MB (02.15%) -- compartment(http://cbe002.chat.mibbit.com/?server=ir...)
│  │    ├──2.40 MB (00.82%) -- gc-heap
│  │    │  └──2.40 MB (00.82%) -- (7 omitted)
│  │    ├──2.08 MB (00.71%) -- mjit-code
│  │    └──1.84 MB (00.62%) -- (6 omitted)
│  ├────5.64 MB (01.92%) -- compartment(https://plus.google.com/u/0/_/notificati...)
│  │    ├──2.39 MB (00.81%) -- gc-heap
│  │    │  └──2.39 MB (00.81%) -- (7 omitted)
│  │    ├──1.72 MB (00.58%) -- scripts
│  │    └──1.53 MB (00.52%) -- (6 omitted)
│  ├────4.22 MB (01.44%) -- gc-heap-chunk-unused
│  ├────3.91 MB (01.33%) -- compartment(http://63.245.208.28/replay/showRecordin...)
│  │    ├──1.96 MB (00.67%) -- (7 omitted)
│  │    └──1.95 MB (00.66%) -- gc-heap
│  │       └──1.95 MB (00.66%) -- (7 omitted)
│  └────2.46 MB (00.84%) -- compartment(http://www.youtube.com/watch?v=XjVzWrcNG...)
│       └──2.46 MB (00.84%) -- (8 omitted)
├───27.18 MB (09.25%) -- storage
│   └──27.18 MB (09.25%) -- sqlite
│      ├──20.23 MB (06.89%) -- urlclassifier3.sqlite
│      │  ├──20.15 MB (06.86%) -- cache-used
│      │  └───0.08 MB (00.03%) -- (2 omitted)
│      ├───2.93 MB (01.00%) -- (11 omitted)
│      ├───2.02 MB (00.69%) -- places.sqlite
│      │   ├──1.73 MB (00.59%) -- cache-used
│      │   └──0.29 MB (00.10%) -- (2 omitted)
│      └───2.00 MB (00.68%) -- chromeappsstore.sqlite
│          ├──1.95 MB (00.66%) -- cache-used
│          └──0.06 MB (00.02%) -- (2 omitted)
├───16.72 MB (05.69%) -- layout
│   ├──16.72 MB (05.69%) -- all
│   └───0.00 MB (00.00%) -- (1 omitted)
└──-643.28 MB (-218.94%) -- (2 omitted)

Other Measurements
1,231.86 MB -- vsize
1,040.19 MB -- private
1,036.04 MB -- resident
  747.58 MB -- gfx-surface-win32
  279.80 MB -- heap-committed
  270.59 MB -- heap-used
   48.00 MB -- js-gc-heap
   12.41 MB -- heap-unused
    2.39 MB -- heap-dirty
    0.67 MB -- canvas-2d-pixel-bytes
    0.01 MB -- gfx-surface-image
    0.00 MB -- gfx-d2d-surfacecache
    0.00 MB -- gfx-d2d-surfacevram
Comment 13 Nicholas Nethercote [:njn] 2011-08-26 19:31:29 PDT
The bogus about:memory numbers may be fixed by bug 664659, which was fixed in Firefox 8.

It'd be nice to have numbers from other browsers.  In general "webpage uses 1GB of memory" is not clearly a problem;  that amount of memory usage may be entirely reasonable, depending on what the page is doing.  "Webpage uses 1GB of memory in Firefox, but only 100MB of memory in all other browsers" is clearly a problem.
Comment 14 :aceman 2011-08-27 06:01:11 PDT
On Linux, 32bit, from 'top':
                     VIRT SWAP  RES  SHR
Opera 11.50:         245m  68m 176m  17m
Chrome 13.0.782.107: 250m 211m  38m  25m
Firefox/9.0a1
ID:20110827030801  : 345m 224m 121m 7072

Explicit Allocations
106.96 MB (100.0%) -- explicit
├───40.96 MB (38.30%) -- images
│   ├──40.93 MB (38.27%) -- content
│   │  ├──40.93 MB (38.26%) -- used
│   │  │  ├──40.93 MB (38.26%) -- raw
│   │  │  └───0.00 MB (00.00%) -- (2 omitted)
│   │  └───0.00 MB (00.00%) -- (1 omitted)
│   └───0.04 MB (00.03%) -- (1 omitted)
├───21.54 MB (20.14%) -- network-memory-cache
├───20.24 MB (18.93%) -- js
│   ├───7.85 MB (07.34%) -- compartment([System Principal], 0xffffffffb3142800)
│   │   ├──3.85 MB (03.60%) -- gc-heap
│   │   │  ├──2.05 MB (01.92%) -- objects
│   │   │  ├──1.44 MB (01.35%) -- shapes
│   │   │  └──0.36 MB (00.34%) -- (5 omitted)
│   │   ├──1.61 MB (01.51%) -- scripts
│   │   ├──1.46 MB (01.36%) -- (6 omitted)
│   │   └──0.94 MB (00.88%) -- mjit-code
│   ├───4.00 MB (03.74%) -- stack
│   ├───3.93 MB (03.68%) -- compartment(http://www.welt.de/debatte/article424756...)
│   │   ├──2.00 MB (01.87%) -- gc-heap
│   │   │  ├──1.04 MB (00.97%) -- objects
│   │   │  └──0.96 MB (00.90%) -- (5 omitted)
│   │   ├──1.30 MB (01.22%) -- (7 omitted)
│   │   └──0.63 MB (00.59%) -- scripts
│   ├───2.45 MB (02.30%) -- gc-heap-chunk-dirty-unused
│   ├───1.16 MB (01.08%) -- compartment(atoms)
│   │   ├──0.66 MB (00.62%) -- string-chars
│   │   └──0.50 MB (00.47%) -- (1 omitted)
│   ├───0.63 MB (00.59%) -- runtime
│   │   └──0.63 MB (00.59%) -- (2 omitted)
│   └───0.21 MB (00.20%) -- (4 omitted)
├───16.01 MB (14.97%) -- heap-unclassified
├────4.24 MB (03.97%) -- storage
│    └──4.24 MB (03.97%) -- sqlite
│       ├──2.14 MB (02.00%) -- (11 omitted)
│       ├──1.26 MB (01.18%) -- places.sqlite
│       │  ├──1.13 MB (01.06%) -- cache-used [4]
│       │  └──0.13 MB (00.12%) -- (2 omitted)
│       └──0.85 MB (00.79%) -- other
├────1.66 MB (01.55%) -- dom
├────1.43 MB (01.34%) -- layout
│    ├──1.08 MB (01.01%) -- arenas
│    └──0.35 MB (00.33%) -- (1 omitted)
├────0.86 MB (00.81%) -- xpti-working-set
└────0.01 MB (00.01%) -- (1 omitted)

Other Measurements
  0.04 MB -- gfx-surface-image
566.63 MB -- gfx-surface-xlib
100.64 MB -- heap-allocated
106.00 MB -- heap-committed
  1.22 MB -- heap-dirty
  5.36 MB -- heap-unallocated
        2 -- js-compartments-system
        4 -- js-compartments-user
  9.00 MB -- js-gc-heap
  0.77 MB -- js-gc-heap-arena-unused
  0.00 MB -- js-gc-heap-chunk-clean-unused
  2.45 MB -- js-gc-heap-chunk-dirty-unused
   35.83% -- js-gc-heap-unused-fraction
    1,000 -- page-faults-hard
1,184,909 -- page-faults-soft
128.33 MB -- resident
348.07 MB -- vsize

It seems FF decodes all images beforehand into gfx-surface-xlib, it roughly matches the calculation in comment 6.
Switching away from the tab in FF and switching back to the tab after a while takes a bit, maybe it is redecoding all the images (discard period in FF9 is 10s).

This does not happen in e.g. chrome. It seems to decode images only when they are exposed (there are button for the slideshow on the page) and only then memory usage is growing. Also switching tabs is instant.

That is probably what bug 542158 is saying.

Can confirm fix of about:memory in FF9 (linux).
Comment 15 floyd.net 2011-08-28 00:21:24 PDT
(In reply to Nicholas Nethercote [:njn] from comment #13)
> It'd be nice to have numbers from other browsers.

                           Memory                       Virtual memory 
Browser                    Private   Shared   Total     Private   Mapped
Google Chrome 13.0.782.215 86,196k   17,072k  10,3268k  91,120k   10,664k
Comment 16 Justin Lebar (not reading bugmail) 2011-08-28 08:30:50 PDT
Is that after going through the whole slideshow, or after just loading the page?  Firefox aggressively loads images (bug 542158), so we know its usage at the beginning will be more than Chrome.  The question is: After you view all the photos in the slideshow, what's Chrome's memory usage?
Comment 17 :aceman 2011-08-28 08:49:35 PDT
My numbers are with just loading the page, not going through the slideshow.
It may be true that when using the slideshow the memory is really needed (comment 13) and it can't be helped. The problem here is that when a visitor comes to this page he sees a short page (about 2 screens high) with 1 big image and some small ones. Then firefox takes ~1GB RAM and if he has some othe tabs already open, FF may easily get killed by the OS at 2GB limit. If not, he may see a slow system. The problem is, he may not even notice the slideshow is there (it took me also some time), so he will not understand why FF takes so much memory. In other browsers the first load is fine, with low memory usage. Only if the users finds the slideshow and starts to use it the memory gets allocated. It this point there is a higher chance the user will understand the problem why the browser is taking so much memory. He saw there are many images being decoded. So this can be taken as an issue of predictable and understandable behaviour of the browser.
Comment 18 Justin Lebar (not reading bugmail) 2011-08-28 19:22:20 PDT
This depends on decode on draw, bug 542158.  I'm donating this bug's [MemShrink] tag to that one.
Comment 19 Justin Lebar (not reading bugmail) 2011-08-28 19:24:29 PDT
Er, decode on draw is bug 573583.
Comment 20 Tran Hai Son 2011-08-28 19:31:21 PDT
I just load fist page (no slide show) with FF 8 and Chrome, in WinXP 32, sp3
FF 8 (safe mode): 951,988 K
Chrome: 104,032 + 53,468 + 29,324 + 18,488 + 18,940 + 9,168 = 233,420K

here after view all photos:
FF 8: 1,004,624K
Chrome: 112,332 + 54,628 + 34,592 + 19,068 + 18,944 + 9,200 =
Comment 21 Nicholas Nethercote [:njn] 2011-08-30 13:58:46 PDT
Turns out this isn't a decode-on-draw issue, but a more general we-suck-at-images issue.
Comment 22 Zlip792 2012-04-08 19:07:05 PDT
With FF14, CSet:babbc38b7f52, Fresh Profile, No addons, I am not getting anything huge memory usage, here is the about:memory output:

Main Process

Explicit Allocations
95.24 MB (100.0%) -- explicit
├──36.36 MB (38.18%) -- js
│  ├───9.90 MB (10.39%) -- compartment([System Principal], 0x8780000)
│  │   ├──4.62 MB (04.85%) -- gc-heap
│  │   │  ├──1.60 MB (01.68%) -- shapes
│  │   │  │  ├──0.96 MB (01.01%) ── tree
│  │   │  │  └──0.64 MB (00.67%) -- (2 tiny)
│  │   │  │     ├──0.40 MB (00.42%) ── base
│  │   │  │     └──0.24 MB (00.25%) ── dict
│  │   │  ├──1.57 MB (01.65%) -- objects
│  │   │  │  ├──1.04 MB (01.09%) ── function
│  │   │  │  └──0.53 MB (00.56%) ── non-function
│  │   │  └──1.45 MB (01.52%) -- (5 tiny)
│  │   │     ├──0.68 MB (00.71%) ── scripts
│  │   │     ├──0.67 MB (00.70%) -- arena
│  │   │     │  ├──0.64 MB (00.67%) ── unused
│  │   │     │  ├──0.02 MB (00.02%) ── headers
│  │   │     │  └──0.02 MB (00.02%) ── padding
│  │   │     ├──0.05 MB (00.05%) ── strings
│  │   │     ├──0.05 MB (00.05%) ── type-objects
│  │   │     └──0.00 MB (00.00%) ── xml
│  │   ├──1.68 MB (01.76%) ── script-data
│  │   ├──1.32 MB (01.38%) -- (4 tiny)
│  │   │  ├──0.65 MB (00.69%) -- objects
│  │   │  │  ├──0.63 MB (00.66%) ── slots
│  │   │  │  ├──0.02 MB (00.02%) ── misc
│  │   │  │  └──0.01 MB (00.01%) ── elements
│  │   │  ├──0.47 MB (00.50%) -- mjit
│  │   │  │  ├──0.38 MB (00.39%) ── code
│  │   │  │  └──0.10 MB (00.10%) ── data
│  │   │  ├──0.16 MB (00.17%) ── string-chars
│  │   │  └──0.03 MB (00.03%) -- type-inference
│  │   │     └──0.03 MB (00.03%) ── script-main
│  │   ├──1.25 MB (01.31%) ── analysis-temporary
│  │   └──1.03 MB (01.09%) -- shapes-extra
│  │      ├──0.47 MB (00.49%) ── compartment-tables
│  │      ├──0.35 MB (00.37%) ── tree-tables
│  │      ├──0.11 MB (00.12%) ── tree-shape-kids
│  │      └──0.10 MB (00.11%) ── dict-tables
│  ├───6.15 MB (06.45%) -- compartment(http://www.welt.de/debatte/article4247567/Prominente-ueber-Babynamen-und-Musik.html)
│  │   ├──2.99 MB (03.14%) -- gc-heap
│  │   │  ├──0.89 MB (00.94%) -- objects
│  │   │  │  ├──0.45 MB (00.47%) ── function
│  │   │  │  └──0.45 MB (00.47%) ── non-function
│  │   │  ├──0.70 MB (00.73%) -- shapes
│  │   │  │  ├──0.33 MB (00.35%) ── tree
│  │   │  │  ├──0.26 MB (00.27%) ── dict
│  │   │  │  └──0.10 MB (00.11%) ── base
│  │   │  ├──0.65 MB (00.68%) -- arena
│  │   │  │  ├──0.62 MB (00.65%) ── unused
│  │   │  │  ├──0.01 MB (00.01%) ── headers
│  │   │  │  └──0.01 MB (00.01%) ── padding
│  │   │  ├──0.55 MB (00.58%) ── scripts
│  │   │  ├──0.19 MB (00.20%) ── type-objects
│  │   │  └──0.02 MB (00.02%) ── strings
│  │   ├──1.60 MB (01.68%) -- (6 tiny)
│  │   │  ├──0.48 MB (00.51%) -- shapes-extra
│  │   │  │  ├──0.23 MB (00.24%) ── tree-tables
│  │   │  │  ├──0.11 MB (00.11%) ── dict-tables
│  │   │  │  ├──0.09 MB (00.09%) ── compartment-tables
│  │   │  │  └──0.05 MB (00.06%) ── tree-shape-kids
│  │   │  ├──0.33 MB (00.35%) -- mjit
│  │   │  │  ├──0.31 MB (00.33%) ── code
│  │   │  │  └──0.02 MB (00.02%) ── data
│  │   │  ├──0.27 MB (00.29%) -- objects
│  │   │  │  ├──0.26 MB (00.27%) ── slots
│  │   │  │  ├──0.01 MB (00.01%) ── elements
│  │   │  │  └──0.00 MB (00.00%) ── misc
│  │   │  ├──0.27 MB (00.28%) ── analysis-temporary
│  │   │  ├──0.20 MB (00.21%) -- type-inference
│  │   │  │  ├──0.11 MB (00.12%) ── object-main
│  │   │  │  ├──0.06 MB (00.06%) ── script-main
│  │   │  │  └──0.03 MB (00.04%) ── tables
│  │   │  └──0.04 MB (00.05%) ── string-chars
│  │   └──1.55 MB (01.63%) ── script-data
│  ├───5.23 MB (05.49%) -- compartment(http://www.facebook.com/plugins/like.php?href=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&send=false&layout=box_count&width=100&show_faces=false&action=recommend&colorscheme=light&font=arial&height=90;ref=biga.top.right)
│  │   ├──2.30 MB (02.42%) -- gc-heap
│  │   │  ├──0.83 MB (00.87%) -- objects
│  │   │  │  ├──0.46 MB (00.49%) ── function
│  │   │  │  └──0.36 MB (00.38%) ── non-function
│  │   │  ├──0.66 MB (00.69%) ── scripts
│  │   │  ├──0.56 MB (00.59%) -- shapes
│  │   │  │  ├──0.41 MB (00.43%) ── tree
│  │   │  │  ├──0.09 MB (00.10%) ── base
│  │   │  │  └──0.05 MB (00.05%) ── dict
│  │   │  ├──0.25 MB (00.27%) -- arena
│  │   │  │  ├──0.23 MB (00.25%) ── unused
│  │   │  │  ├──0.01 MB (00.01%) ── padding
│  │   │  │  └──0.01 MB (00.01%) ── headers
│  │   │  ├──0.00 MB (00.00%) ── type-objects
│  │   │  └──0.00 MB (00.00%) ── strings
│  │   ├──1.48 MB (01.55%) ── script-data
│  │   └──1.44 MB (01.52%) -- (6 tiny)
│  │      ├──0.51 MB (00.54%) -- shapes-extra
│  │      │  ├──0.38 MB (00.40%) ── tree-tables
│  │      │  ├──0.05 MB (00.06%) ── tree-shape-kids
│  │      │  ├──0.05 MB (00.05%) ── compartment-tables
│  │      │  └──0.03 MB (00.03%) ── dict-tables
│  │      ├──0.45 MB (00.47%) -- mjit
│  │      │  ├──0.38 MB (00.39%) ── code
│  │      │  └──0.07 MB (00.08%) ── data
│  │      ├──0.34 MB (00.36%) -- objects
│  │      │  ├──0.28 MB (00.29%) ── slots
│  │      │  ├──0.07 MB (00.07%) ── elements
│  │      │  └──0.00 MB (00.00%) ── misc
│  │      ├──0.13 MB (00.13%) ── analysis-temporary
│  │      ├──0.02 MB (00.02%) -- type-inference
│  │      │  └──0.02 MB (00.02%) ── script-main
│  │      └──0.00 MB (00.00%) ── string-chars
│  ├───4.91 MB (05.16%) -- compartment(https://plusone.google.com/_/+1/fastbutton?url=http%3A%2F%2Fwww.welt.de%2F105173603&size=tall&count=true&hl=de&jsh=m%3B%2F_%2Fapps-static%2F_%2Fjs%2Fgapi%2F__features__%2Frt%3Dj%2Fver%3DPwMajodhQFs.en_GB.%2Fsv%3D1%2Fam%3D!JRw-TBD6dySIUpXdrg%2Fd%3D1%2Frs%3DAItRSTNr9C_e0QiH_cDaNqZYwtHz9jMrKQ#id=I2_1333936829965&parent=http%3A%2F%2Fwww.welt.de&rpctoken=116008843&_methods=onPlusOne%2C_ready%2C_close%2C_open%2C_resizeMe%2C_renderstart)
│  │   ├──2.54 MB (02.66%) -- gc-heap
│  │   │  ├──0.81 MB (00.85%) -- objects
│  │   │  │  ├──0.49 MB (00.51%) ── non-function
│  │   │  │  └──0.32 MB (00.33%) ── function
│  │   │  ├──0.60 MB (00.63%) -- arena
│  │   │  │  ├──0.58 MB (00.61%) ── unused
│  │   │  │  ├──0.01 MB (00.01%) ── headers
│  │   │  │  └──0.01 MB (00.01%) ── padding
│  │   │  ├──0.50 MB (00.52%) ── scripts
│  │   │  ├──0.48 MB (00.51%) -- shapes
│  │   │  │  ├──0.24 MB (00.25%) ── tree
│  │   │  │  ├──0.19 MB (00.19%) ── dict
│  │   │  │  └──0.06 MB (00.07%) ── base
│  │   │  ├──0.13 MB (00.14%) ── type-objects
│  │   │  └──0.02 MB (00.02%) ── strings
│  │   ├──1.41 MB (01.48%) ── script-data
│  │   └──0.97 MB (01.02%) -- (6 tiny)
│  │      ├──0.31 MB (00.33%) ++ mjit
│  │      ├──0.27 MB (00.28%) ++ shapes-extra
│  │      ├──0.22 MB (00.23%) ++ objects
│  │      ├──0.15 MB (00.16%) ++ type-inference
│  │      ├──0.02 MB (00.02%) ── analysis-temporary
│  │      └──0.00 MB (00.01%) ── string-chars
│  ├───2.74 MB (02.88%) -- (12 tiny)
│  │   ├──0.82 MB (00.86%) ── xpconnect
│  │   ├──0.71 MB (00.75%) ++ compartment(http://mediacdn.disqus.com/1333760572/build/system/def.html#xdm_e=http%3A%2F%2Fwww.welt.de&xdm_c=default2452&xdm_p=1&)
│  │   ├──0.35 MB (00.36%) ++ compartment(http://ww251.smartadserver.com/diff/251/1540538/show7_2.asp?1540538;164859;403890256174514995;7585802701;M;systemtarget=%24a%3D0t%3B%24cn%3D0_0%3B%24isp%3D0%3B%24qc%3D1310811394%3B%24ql%3Dmedium%3B%24qpc%3D46000%3B%24qpp%3D0%3B%24qt%3D56_589_37810t%3B%24b%3D12999%3B%24o%3D11061%3B%24sh%3D1024%3B%24sw%3D1600;;5860729)
│  │   ├──0.28 MB (00.30%) ── gc-heap-chunk-admin
│  │   ├──0.25 MB (00.26%) ++ compartment(https://s-static.ak.fbcdn.net/connect/xd_proxy.php#cb=f1612427fdaf1c6&origin=http%3A%2F%2Fwww.welt.de%2Ff15acf36fbd15fe&relation=parent.parent&transport=postmessage&type=resize&height=42&ackData[id]=1)
│  │   ├──0.14 MB (00.15%) ++ compartment(about:buildconfig)
│  │   ├──0.09 MB (00.09%) ++ compartment(http://sb.scorecardresearch.com/p2?c1=8&c2=9950536&c3=1&c4=&c5=&c6=&c15=&cv=2.0&cj=1)
│  │   ├──0.06 MB (00.07%) ++ compartment(http://imagesrv.adition.com/1x1.gif)
│  │   ├──0.03 MB (00.04%) ++ compartment(moz-nullprincipal:{17cba9c9-0ab4-44a5-bfb0-e13987f9be06})
│  │   ├──0.00 MB (00.00%) ++ compartment(about:blank)
│  │   ├──0.00 MB (00.00%) ── gc-heap-chunk-dirty-unused
│  │   └──0.00 MB (00.00%) ── gc-heap-chunk-clean-unused
│  ├───2.69 MB (02.83%) ── gc-heap-decommitted
│  ├───2.25 MB (02.37%) -- compartment(atoms)
│  │   ├──1.36 MB (01.42%) ── string-chars
│  │   └──0.90 MB (00.94%) ++ gc-heap
│  ├───1.35 MB (01.42%) ++ compartment(http://platform.twitter.com/widgets/tweet_button.1333526973.html#_=1333936827123&count=vertical&id=twitter-widget-0&lang=de&original_referer=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&size=m&text=Jetzt%20rede%20ich!%20-%20Prominente%20%C3%BCber%20Babynamen%20und%20Musik&url=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&via=welt.de)
│  └───1.14 MB (01.20%) ++ runtime
├──27.53 MB (28.90%) -- images
│  ├──27.26 MB (28.63%) -- content
│  │  ├──27.26 MB (28.63%) -- used
│  │  │  ├──25.81 MB (27.10%) ── uncompressed-heap
│  │  │  ├───1.45 MB (01.52%) ── raw
│  │  │  └───0.00 MB (00.00%) ── uncompressed-nonheap
│  │  └───0.00 MB (00.00%) -- unused
│  │      ├──0.00 MB (00.00%) ── raw
│  │      ├──0.00 MB (00.00%) ── uncompressed-heap
│  │      └──0.00 MB (00.00%) ── uncompressed-nonheap
│  └───0.26 MB (00.28%) -- chrome
│      ├──0.26 MB (00.28%) -- used
│      │  ├──0.26 MB (00.28%) ── uncompressed-heap
│      │  ├──0.00 MB (00.00%) ── raw
│      │  └──0.00 MB (00.00%) ── uncompressed-nonheap
│      └──0.00 MB (00.00%) -- unused
│         ├──0.00 MB (00.00%) ── raw
│         ├──0.00 MB (00.00%) ── uncompressed-heap
│         └──0.00 MB (00.00%) ── uncompressed-nonheap
├──11.51 MB (12.08%) ── heap-unclassified
├───9.90 MB (10.39%) -- window-objects
│   ├──8.21 MB (08.62%) -- top(http://www.welt.de/debatte/article4247567/Prominente-ueber-Babynamen-und-Musik.html, id=17)
│   │  └──8.21 MB (08.62%) -- active
│   │     ├──3.47 MB (03.64%) -- (19 tiny)
│   │     │  ├──0.42 MB (00.45%) ++ window(https://plusone.google.com/u/0/_/pages/badge?url=https%3A%2F%2Fplus.google.com%2F110729159808906909328&size=badge&width=300&height=131&theme=light&hl=de&jsh=m%3B%2F_%2Fapps-static%2F_%2Fjs%2Fgapi%2F__features__%2Frt%3Dj%2Fver%3DPwMajodhQFs.en_GB.%2Fsv%3D1%2Fam%3D!JRw-TBD6dySIUpXdrg%2Fd%3D1%2Frs%3DAItRSTNr9C_e0QiH_cDaNqZYwtHz9jMrKQ#id=I1_1333936829947&parent=http%3A%2F%2Fwww.welt.de&rpctoken=719113279&_methods=onPlusOne%2Conconnect%2C_ready%2C_close%2C_open%2C_resizeMe%2C_renderstart)
│   │     │  ├──0.40 MB (00.42%) ++ window(http://www.facebook.com/plugins/like.php?href=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&send=false&layout=box_count&width=100&show_faces=false&action=recommend&colorscheme=light&font=arial&height=90;ref=biga.top.right)
│   │     │  ├──0.40 MB (00.42%) ++ window(http://www.facebook.com/plugins/like.php?action=recommend&channel_url=https%3A%2F%2Fs-static.ak.fbcdn.net%2Fconnect%2Fxd_proxy.php%23cb%3Df1612427fdaf1c6%26origin%3Dhttp%253A%252F%252Fwww.welt.de%252Ff15acf36fbd15fe%26relation%3Dparent.parent%26transport%3Dpostmessage&extended_social_context=false&font=arial&href=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&layout=standard&locale=de_DE&node_type=link&sdk=joey&send=false&show_faces=false&width=265)
│   │     │  ├──0.31 MB (00.32%) ++ window(http://platform.twitter.com/widgets/follow_button.1333526973.html#_=1333936827128&id=twitter-widget-6&lang=de&screen_name=weltonline&show_count=true&show_screen_name=true&size=m)
│   │     │  ├──0.27 MB (00.29%) ++ window(http://platform.twitter.com/widgets/tweet_button.1333526973.html#_=1333936827126&count=vertical&id=twitter-widget-2&lang=de&original_referer=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&size=m&text=Jetzt%20rede%20ich!%20-%20Prominente%20%C3%BCber%20Babynamen%20und%20Musik&url=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&via=welt.de)
│   │     │  ├──0.27 MB (00.28%) ++ window(http://platform.twitter.com/widgets/tweet_button.1333526973.html#_=1333936827127&count=vertical&id=twitter-widget-4&lang=de&original_referer=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&size=m&text=Jetzt%20rede%20ich!%20-%20Prominente%20%C3%BCber%20Babynamen%20und%20Musik&url=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&via=welt.de)
│   │     │  ├──0.22 MB (00.24%) ++ window(https://plusone.google.com/_/+1/fastbutton?url=http%3A%2F%2Fwww.welt.de%2F105173603&size=tall&count=true&hl=de&jsh=m%3B%2F_%2Fapps-static%2F_%2Fjs%2Fgapi%2F__features__%2Frt%3Dj%2Fver%3DPwMajodhQFs.en_GB.%2Fsv%3D1%2Fam%3D!JRw-TBD6dySIUpXdrg%2Fd%3D1%2Frs%3DAItRSTNr9C_e0QiH_cDaNqZYwtHz9jMrKQ#id=I4_1333936829978&parent=http%3A%2F%2Fwww.welt.de&rpctoken=871206972&_methods=onPlusOne%2C_ready%2C_close%2C_open%2C_resizeMe%2C_renderstart)
│   │     │  ├──0.22 MB (00.23%) ++ window(https://plusone.google.com/_/+1/fastbutton?url=http%3A%2F%2Fwww.welt.de%2F105173603&size=tall&count=true&hl=de&jsh=m%3B%2F_%2Fapps-static%2F_%2Fjs%2Fgapi%2F__features__%2Frt%3Dj%2Fver%3DPwMajodhQFs.en_GB.%2Fsv%3D1%2Fam%3D!JRw-TBD6dySIUpXdrg%2Fd%3D1%2Frs%3DAItRSTNr9C_e0QiH_cDaNqZYwtHz9jMrKQ#id=I3_1333936829971&parent=http%3A%2F%2Fwww.welt.de&rpctoken=481448430&_methods=onPlusOne%2C_ready%2C_close%2C_open%2C_resizeMe%2C_renderstart)
│   │     │  ├──0.19 MB (00.20%) ++ window(http://www.facebook.com/plugins/like.php?action=recommend&channel_url=https%3A%2F%2Fs-static.ak.fbcdn.net%2Fconnect%2Fxd_proxy.php%23cb%3Df1def8c4dadce2e%26origin%3Dhttp%253A%252F%252Fwww.welt.de%252Ff15acf36fbd15fe%26relation%3Dparent.parent%26transport%3Dpostmessage&extended_social_context=false&font=arial&href=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&layout=box_count&locale=de_DE&node_type=link&sdk=joey&send=false&show_faces=false&width=100)
│   │     │  ├──0.16 MB (00.16%) ++ window(http://ww251.smartadserver.com/diff/251/1540537/show7_1.asp?1540537;164859;403890256174514995;4125058212;M;systemtarget=%24a%3D0t%3B%24cn%3D0_0%3B%24isp%3D0%3B%24qc%3D1310811394%3B%24ql%3Dmedium%3B%24qpc%3D46000%3B%24qpp%3D0%3B%24qt%3D56_589_37810t%3B%24b%3D12999%3B%24o%3D11061%3B%24sh%3D1024%3B%24sw%3D1600;;5860889)
│   │     │  ├──0.15 MB (00.16%) ++ window(http://ww251.smartadserver.com/diff/251/1540537/show7_2.asp?1540537;164859;403890256174514995;4125058212;M;systemtarget=%24a%3D0t%3B%24cn%3D0_0%3B%24isp%3D0%3B%24qc%3D1310811394%3B%24ql%3Dmedium%3B%24qpc%3D46000%3B%24qpp%3D0%3B%24qt%3D56_589_37810t%3B%24b%3D12999%3B%24o%3D11061%3B%24sh%3D1024%3B%24sw%3D1600;;5860894)
│   │     │  ├──0.15 MB (00.15%) ++ window(http://mediacdn.disqus.com/1333760572/build/system/def.html#xdm_e=http%3A%2F%2Fwww.welt.de&xdm_c=default2452&xdm_p=1&)
│   │     │  ├──0.13 MB (00.13%) ++ window(http://platform.twitter.com/widgets/tweet_button.1333526973.html#_=1333936827123&count=vertical&id=twitter-widget-0&lang=de&original_referer=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&size=m&text=Jetzt%20rede%20ich!%20-%20Prominente%20%C3%BCber%20Babynamen%20und%20Musik&url=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&via=welt.de)
│   │     │  ├──0.08 MB (00.09%) ++ window(https://plusone.google.com/_/+1/fastbutton?url=http%3A%2F%2Fwww.welt.de%2F105173603&size=tall&count=true&hl=de&jsh=m%3B%2F_%2Fapps-static%2F_%2Fjs%2Fgapi%2F__features__%2Frt%3Dj%2Fver%3DPwMajodhQFs.en_GB.%2Fsv%3D1%2Fam%3D!JRw-TBD6dySIUpXdrg%2Fd%3D1%2Frs%3DAItRSTNr9C_e0QiH_cDaNqZYwtHz9jMrKQ#id=I2_1333936829965&parent=http%3A%2F%2Fwww.welt.de&rpctoken=116008843&_methods=onPlusOne%2C_ready%2C_close%2C_open%2C_resizeMe%2C_renderstart)
│   │     │  ├──0.04 MB (00.05%) ++ window(http://www.welt.de/adReload.html?r=debatte&id=bilderGallery_105173603&s=1333936969215)
│   │     │  ├──0.02 MB (00.02%) ++ window(http://www.welt.de/adGallery.html?r=debatte&id=bilderGallery_105173603&s=1333936969007)
│   │     │  ├──0.01 MB (00.01%) ++ window(http://sb.scorecardresearch.com/p2?c1=8&c2=9950536&c3=1&c4=&c5=&c6=&c15=&cv=2.0&cj=1)
│   │     │  ├──0.01 MB (00.01%) ++ window(http://imagesrv.adition.com/1x1.gif)
│   │     │  └──0.00 MB (00.00%) ++ window([system])
│   │     ├──3.08 MB (03.23%) -- window(http://www.welt.de/debatte/article4247567/Prominente-ueber-Babynamen-und-Musik.html)
│   │     │  ├──1.30 MB (01.37%) ── style-sheets
│   │     │  ├──1.16 MB (01.22%) ++ layout
│   │     │  └──0.61 MB (00.64%) ── dom [8]
│   │     └──1.66 MB (01.75%) -- window(http://www.facebook.com/plugins/likebox.php?channel=https%3A%2F%2Fs-static.ak.fbcdn.net%2Fconnect%2Fxd_proxy.php%23cb%3Df1aef4bb6627e0a%26origin%3Dhttp%253A%252F%252Fwww.welt.de%252Ff15acf36fbd15fe%26relation%3Dparent.parent%26transport%3Dpostmessage&colorscheme=light&header=false&height=62&href=http%3A%2F%2Fwww.facebook.com%2Fweltonline&locale=de_DE&sdk=joey&show_faces=false&stream=false&width=292)
│   │        ├──1.05 MB (01.11%) ── style-sheets
│   │        └──0.61 MB (00.64%) ++ (2 tiny)
│   ├──1.26 MB (01.32%) -- top(chrome://browser/content/browser.xul, id=1)
│   │  └──1.26 MB (01.32%) -- active
│   │     ├──1.25 MB (01.31%) ++ window(chrome://browser/content/browser.xul)
│   │     └──0.00 MB (00.00%) ++ window(about:blank)
│   └──0.44 MB (00.46%) -- (3 tiny)
│      ├──0.30 MB (00.32%) -- top(about:memory, id=12)
│      │  └──0.30 MB (00.32%) ++ active
│      ├──0.13 MB (00.14%) -- top(resource://gre-resources/hiddenWindow.html, id=3)
│      │  └──0.13 MB (00.14%) ++ active
│      └──0.00 MB (00.00%) -- top(none)
│         ├──0.00 MB (00.00%) -- detached
│         │  ├──0.00 MB (00.00%) ++ window(about:buildconfig)
│         │  ├──0.00 MB (00.00%) ++ window(http://www.welt.de/debatte/article4247567/Prominente-ueber-Babynamen-und-Musik.html)
│         │  ├──0.00 MB (00.00%) ++ window([system])
│         │  └──0.00 MB (00.00%) ++ window(http://www.facebook.com/plugins/like.php?action=recommend&channel_url=https%3A%2F%2Fs-static.ak.fbcdn.net%2Fconnect%2Fxd_proxy.php%23cb%3Df1def8c4dadce2e%26origin%3Dhttp%253A%252F%252Fwww.welt.de%252Ff15acf36fbd15fe%26relation%3Dparent.parent%26transport%3Dpostmessage&extended_social_context=false&font=arial&href=http%3A%2F%2Fwww.welt.de%2Fdebatte%2Farticle4247567%2FProminente-ueber-Babynamen-und-Musik.html&layout=box_count&locale=de_DE&node_type=link&sdk=joey&send=false&show_faces=false&width=100)
│         └──0.00 MB (00.00%) ++ ghost
├───6.85 MB (07.19%) -- storage
│   ├──6.52 MB (06.85%) -- sqlite
│   │  ├──2.59 MB (02.72%) -- (9 tiny)
│   │  │  ├──0.58 MB (00.61%) -- extensions.sqlite
│   │  │  │  ├──0.44 MB (00.46%) ── cache-used
│   │  │  │  ├──0.13 MB (00.14%) ── stmt-used
│   │  │  │  └──0.01 MB (00.01%) ── schema-used
│   │  │  ├──0.47 MB (00.49%) -- addons.sqlite
│   │  │  │  ├──0.44 MB (00.46%) ── cache-used
│   │  │  │  ├──0.02 MB (00.03%) ── stmt-used
│   │  │  │  └──0.01 MB (00.01%) ── schema-used
│   │  │  ├──0.35 MB (00.37%) -- signons.sqlite
│   │  │  │  ├──0.35 MB (00.36%) ── cache-used
│   │  │  │  ├──0.00 MB (00.00%) ── stmt-used
│   │  │  │  └──0.00 MB (00.00%) ── schema-used
│   │  │  ├──0.28 MB (00.29%) -- chromeappsstore.sqlite
│   │  │  │  ├──0.25 MB (00.26%) ── cache-used
│   │  │  │  ├──0.02 MB (00.02%) ── stmt-used
│   │  │  │  └──0.00 MB (00.00%) ── schema-used
│   │  │  ├──0.27 MB (00.28%) -- webappsstore.sqlite
│   │  │  │  ├──0.25 MB (00.26%) ── cache-used
│   │  │  │  ├──0.01 MB (00.01%) ── stmt-used
│   │  │  │  └──0.00 MB (00.00%) ── schema-used
│   │  │  ├──0.26 MB (00.28%) -- content-prefs.sqlite
│   │  │  │  ├──0.25 MB (00.26%) ── cache-used
│   │  │  │  ├──0.01 MB (00.01%) ── stmt-used
│   │  │  │  └──0.00 MB (00.00%) ── schema-used
│   │  │  ├──0.17 MB (00.18%) -- cookies.sqlite
│   │  │  │  ├──0.16 MB (00.17%) ── cache-used
│   │  │  │  ├──0.01 MB (00.01%) ── stmt-used
│   │  │  │  └──0.00 MB (00.00%) ── schema-used
│   │  │  ├──0.10 MB (00.11%) -- downloads.sqlite
│   │  │  │  ├──0.09 MB (00.10%) ── cache-used
│   │  │  │  ├──0.01 MB (00.01%) ── stmt-used
│   │  │  │  └──0.00 MB (00.00%) ── schema-used
│   │  │  └──0.10 MB (00.11%) -- permissions.sqlite
│   │  │     ├──0.09 MB (00.10%) ── cache-used
│   │  │     ├──0.01 MB (00.01%) ── stmt-used
│   │  │     └──0.00 MB (00.00%) ── schema-used
│   │  ├──2.34 MB (02.46%) -- places.sqlite
│   │  │  ├──2.01 MB (02.11%) ── cache-used [4]
│   │  │  └──0.33 MB (00.35%) -- (2 tiny)
│   │  │     ├──0.28 MB (00.29%) ── stmt-used [4]
│   │  │     └──0.05 MB (00.06%) ── schema-used [4]
│   │  └──1.59 MB (01.67%) ── other
│   └──0.32 MB (00.34%) -- prefixset
│      ├──0.32 MB (00.34%) ── goog-malware-shavar
│      ├──0.00 MB (00.00%) ── test-malware-simple
│      ├──0.00 MB (00.00%) ── test-phish-simple
│      └──0.00 MB (00.00%) ── goog-phish-shavar
└───3.09 MB (03.25%) -- (9 tiny)
    ├──0.92 MB (00.97%) ── xpti-working-set
    ├──0.71 MB (00.75%) ── atom-table
    ├──0.61 MB (00.64%) -- startup-cache
    │  ├──0.61 MB (00.64%) ── mapping
    │  └──0.00 MB (00.00%) ── data
    ├──0.50 MB (00.52%) -- gfx
    │  ├──0.17 MB (00.17%) ── font-list
    │  ├──0.16 MB (00.17%) ── font-shaped-words
    │  ├──0.12 MB (00.12%) ── font-cache
    │  └──0.05 MB (00.06%) ── font-charmaps
    ├──0.21 MB (00.22%) -- layout
    │  └──0.21 MB (00.22%) ── style-sheet-cache
    ├──0.07 MB (00.07%) ── cycle-collector
    ├──0.06 MB (00.07%) ── network-memory-cache
    ├──0.02 MB (00.02%) ── history-links-hashtable
    └──0.00 MB (00.00%) ── spell-check

Other Measurements
  0.34 MB ── canvas-2d-pixel-bytes
 95.24 MB ── explicit
  6.60 MB ── gfx-d2d-surfacecache
 11.88 MB ── gfx-d2d-surfacevram
 26.05 MB ── gfx-surface-image
        2 ── ghost-windows
 74.57 MB ── heap-allocated
 82.51 MB ── heap-committed
    9.60% ── heap-committed-fragmentation
  2.23 MB ── heap-dirty
 26.43 MB ── heap-unallocated
 25.81 MB ── images-content-used-uncompressed
        2 ── js-compartments-system
       12 ── js-compartments-user
 18.00 MB ── js-gc-heap
  1.90 MB ── js-main-runtime-analysis-temporary
  2.75 MB ── js-main-runtime-gc-heap-arena-unused
  0.00 MB ── js-main-runtime-gc-heap-chunk-clean-unused
  0.00 MB ── js-main-runtime-gc-heap-chunk-dirty-unused
  2.69 MB ── js-main-runtime-gc-heap-decommitted
    0.66% ── js-main-runtime-gc-heap-unused-fraction
  1.88 MB ── js-main-runtime-mjit
  6.11 MB ── js-main-runtime-objects
  8.94 MB ── js-main-runtime-scripts
  6.08 MB ── js-main-runtime-shapes
  2.55 MB ── js-main-runtime-strings
  0.82 MB ── js-main-runtime-type-inference
        0 ── low-commit-space-events
        0 ── low-memory-events-physical
        0 ── low-memory-events-virtual
164.18 MB ── private
204.29 MB ── resident
  6.52 MB ── storage-sqlite
498.71 MB ── vsize
  1.56 MB ── window-objects-dom
  1.90 MB ── window-objects-layout-arenas
  2.68 MB ── window-objects-layout-style-sets
  0.02 MB ── window-objects-layout-text-runs
  3.74 MB ── window-objects-style-sheets
Comment 23 :aceman 2012-04-10 12:15:22 PDT
Confirming!
When visiting the page, the images are NOT decoded beforehand. I must click on the slideshow to see some of them and only then those needed are decoded. If I then stop and leave the tab unused, the memory is released after a while (looking at the gfx-surface-xlib number).
Comment 24 Nicholas Nethercote [:njn] 2013-02-25 20:38:32 PST
With bug 689623 fixed, I thought this might have improved.  First I tried a pre-689623 build, but I couldn't reproduce the problem on my Mac, even after I clicked through all 94 pictures in the slideshow.  Resident memory consumption didn't exceed 250 MiB, and the "explicit/images/content/used/uncompressed-heap" numbers didn't go above a few 10s of MiBs.

Does this site still cause problems for other people?
Comment 25 Timothy Nikkel (:tnikkel) 2013-02-25 23:33:41 PST
We made some improvements since the last previous activity in this bug and bug 689623, like not locking images that aren't in the DOM and images that don't have layout frames created for them. One of those could have solved this.
Comment 26 :aceman 2013-02-26 00:07:45 PST
The page seems to work fine now for me.
Floyd?
Comment 27 floyd.net 2013-02-26 01:19:07 PST
Yes, now it works fine. (FF 19)
Comment 28 Nicholas Nethercote [:njn] 2013-02-26 02:31:23 PST
Thanks, Floyd.

Note You need to log in before you can comment on or make changes to this bug.